<?php
/**
 * www.stephan-frank.de
 *
 * @package roBerge-Touren-System
 * @author Franky
 * @copyright 2018 SF Webdesign
 * @license http://opensource.org/licenses/gpl-2.0.php GPL-2.0
 *
 * @version 1.0.0
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function ThDoSettings($return_config = false)
{
	global $txt, $sourcedir, $context, $modSettings, $smcFunc, $settings;

	loadTemplate('ManageThemesdemo');
	loadlanguage('Themesdemo');

	$subActions = array(
		'add' => 'ThDoAdd',
		'add2' => 'ThDoAdd2',
		'edit' => 'ThDoAEdit',
		'edit2' => 'ThDoAEdit2',
	);

	// Follow the sa or just go to  the main function
	if (isset($_REQUEST['sa']))
		$sa = $_REQUEST['sa'];
	else
		$sa = '';
	if (!empty($subActions[$sa]))
		$subActions[$sa]();
	else
	ThDoView();
}

function ThDoView($return_config = false)
{
	global $txt, $sourcedir, $context, $modSettings, $smcFunc, $settings;

	$request = $smcFunc['db_query']('', '
		SELECT id_theme, variable, value
		FROM {db_prefix}themes
		WHERE variable IN ({string:name}, {string:theme_dir}, {string:theme_url}, {string:images_url})
		AND id_member = {int:no_member}',
		array(
			'no_member' => 0,
			'name' => 'name',
			'theme_dir' => 'theme_dir',
			'theme_url' => 'theme_url',
			'images_url' => 'images_url',
			'known_themes' => explode(',', $modSettings['knownThemes']),
		)
	);
	$context['demo_themes'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($request))
	{
		if (!isset($context['demo_themes'][$row['id_theme']]))
			$context['demo_themes'][$row['id_theme']] = array(
				'id' => $row['id_theme'],
			);
		$context['demo_themes'][$row['id_theme']][$row['variable']] = $row['value'];
	}
	$smcFunc['db_free_result']($request);

	if (isset($_REQUEST['thdo']))
		$thdo = (int) $_REQUEST['thdo'];
	else
		$thdo = 1;

	$request = $smcFunc['db_query']('', '
		SELECT *
		FROM {db_prefix}themes_demo
		WHERE demo_id = {int:demo_id}',
		array(
			'demo_id' => $thdo,
		)
	);
	$context['demo_view'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($request))
	{
		$context['demo_view'][] = array(
			'id' 				=> $row['demo_id'],
			'theme_id' 			=> $row['theme_id'],
			'themename' 		=> $row['theme_name'],
			'themeversion' 		=> $row['theme_version'],
			'smfversion' 		=> $row['smf_version'],
			'basis' 			=> $row['basis'],
			'assets' 			=> $row['assets'],
			'author' 			=> $row['author'],
			'webauthor' 		=> $row['web_author'],
			'support' 			=> $row['support'],
			'download' 			=> $row['download'],
		);
	}
	$smcFunc['db_free_result']($request);

	$context['page_title'] = $txt['thdo_admin_page'];
}

function ThDoAdd($return_config = false)
{
	global $txt, $sourcedir, $context, $modSettings, $smcFunc, $settings;

	if (isset($_REQUEST['id']))
		$id = (int) $_REQUEST['id'];
	else
		$id = 1;

	if(!empty($id))
	{
		$dbrequest = $smcFunc['db_query']('', '
			SELECT id_theme, variable, value
			FROM {db_prefix}themes
			WHERE id_theme = {int:id_theme}',
			array(
				'id_theme' => $id,
			)
		);
		$context['demo_data'] = array();
		while ($row = $smcFunc['db_fetch_assoc']($dbrequest))
		{
			if (!isset($context['demo_data'][$row['id_theme']]))
				$context['demo_data'][$row['id_theme']] = array(
					'id' => $row['id_theme'],
				);
			$context['demo_data'][$row['id_theme']][$row['variable']] = $row['value'];
		}
		$smcFunc['db_free_result']($dbrequest);
	}

	$context['sub_template'] = 'thdo_new_demo';
	$context['page_title'] = $txt['thdo_admin_page'];
}

function ThDoAdd2()
{
	global $txt, $boarddir, $sourcedir, $modSettings, $smcFunc;

	$theme_id = (int) $_REQUEST['themeid'];
	$theme_version = $smcFunc['htmlspecialchars']($_REQUEST['themeversion'],ENT_QUOTES);
	$theme_name = $smcFunc['htmlspecialchars']($_REQUEST['themename'],ENT_QUOTES);
	$smf_version = $smcFunc['htmlspecialchars']($_REQUEST['smfversion'],ENT_QUOTES);
	$basis = $smcFunc['htmlspecialchars']($_REQUEST['basis'],ENT_QUOTES);
	$assets = $smcFunc['htmlspecialchars']($_REQUEST['assets'],ENT_QUOTES);
	$author = $smcFunc['htmlspecialchars']($_REQUEST['author'],ENT_QUOTES);
	$web_author = $smcFunc['htmlspecialchars']($_REQUEST['webauthor'],ENT_QUOTES);
	$support = $smcFunc['htmlspecialchars']($_REQUEST['support'],ENT_QUOTES);
	$download = $smcFunc['htmlspecialchars']($_REQUEST['download'],ENT_QUOTES);

	// Insert
	$smcFunc['db_query']('', "INSERT INTO {db_prefix}themes_demo
			(theme_id, theme_version, theme_name, smf_version, basis, assets, author, web_author, support, download)
		VALUES ('$theme_id', '$theme_version', '$theme_name', '$smf_version', '$basis', '$assets', '$author', '$web_author', '$support', '$download')");

	// Redirect to the category listing
	redirectexit('action=admin;area=thdosset');
}

function ThDoAEdit($return_config = false)
{
	global $txt, $sourcedir, $context, $modSettings, $smcFunc, $settings;

	if (isset($_REQUEST['id']))
		$id = (int) $_REQUEST['id'];
	else
		$id = 1;

	$request = $smcFunc['db_query']('', '
		SELECT *
		FROM {db_prefix}themes_demo
		WHERE demo_id = {int:demo_id}',
		array(
			'demo_id' => $id,
		)
	);
	$context['demo_view'] = array();
	while ($row = $smcFunc['db_fetch_assoc']($request))
	{
		$context['demo_view'][] = array(
			'id' 				=> $row['demo_id'],
			'themeid' 			=> $row['theme_id'],
			'themename' 		=> $row['theme_name'],
			'themeversion' 		=> $row['theme_version'],
			'smfversion' 		=> $row['smf_version'],
			'basis' 			=> $row['basis'],
			'assets' 			=> $row['assets'],
			'author' 			=> $row['author'],
			'webauthor' 		=> $row['web_author'],
			'support' 			=> $row['support'],
			'download' 			=> $row['download'],
		);
	}
	$smcFunc['db_free_result']($request);

	$context['sub_template'] = 'thdo_edit_demo';
	$context['page_title'] = $txt['thdo_admin_page'];
}

function ThDoAEdit2()
{
	global $txt, $boarddir, $sourcedir, $modSettings, $smcFunc;

	$demo_id = (int) $_REQUEST['demoid'];
	$theme_id = (int) $_REQUEST['themeid'];
	$theme_version = $smcFunc['htmlspecialchars']($_REQUEST['themeversion'],ENT_QUOTES);
	$theme_name = $smcFunc['htmlspecialchars']($_REQUEST['themename'],ENT_QUOTES);
	$smf_version = $smcFunc['htmlspecialchars']($_REQUEST['smfversion'],ENT_QUOTES);
	$basis = $smcFunc['htmlspecialchars']($_REQUEST['basis'],ENT_QUOTES);
	$assets = $smcFunc['htmlspecialchars']($_REQUEST['assets'],ENT_QUOTES);
	$author = $smcFunc['htmlspecialchars']($_REQUEST['author'],ENT_QUOTES);
	$web_author = $smcFunc['htmlspecialchars']($_REQUEST['webauthor'],ENT_QUOTES);
	$support = $smcFunc['htmlspecialchars']($_REQUEST['support'],ENT_QUOTES);
	$download = $smcFunc['htmlspecialchars']($_REQUEST['download'],ENT_QUOTES);

	// Update
	$smcFunc['db_query']('', "UPDATE {db_prefix}themes_demo
		SET theme_id = '$theme_id', theme_version = '$theme_version', theme_name = '$theme_name', smf_version = '$smf_version', basis = '$basis',
		assets = '$assets', author = '$author', web_author = '$web_author', support = '$support', download = '$download'
		WHERE demo_id = $demo_id");

	// Redirect to the category listing
	redirectexit('action=admin;area=thdosset');
}

?>