<?php

/**
 * SF Webdesign
 *
 * @package SF Themes Demo
 * @author Franky https://www.stephan-frank.de/
 * @copyright 2020 SF Webdesign
 * @license https://opensource.org/licenses/artistic-license-2.0 Artistic License 2.0
 *
 * @version 1.0.0
 */

function template_main()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	if (isset($_REQUEST['thdo']))
		$thdo = (int) $_REQUEST['thdo'];
	else
		$thdo = 1;

	echo '
	<div class="cat_bar">
		<h3 class="catbg">
			', $txt['thdo_admin_demo_set'], '
		</h3>
	</div>
	<p class="windowbg description">
		', $txt['thdo_admin_demo_set_desc'], '
	</p>

	<div id="admincenter">
		<div class="cat_bar">
			<h3 class="catbg">
				', $txt['thdo_themes_list'], '
			</h3>
		</div>
		<div class="windowbg2">
			<span class="topslice"><span></span></span>
				<div class="content">
				<form action="', $scripturl, '?action=admin;area=thdosset" method="post" accept-charset="', $context['character_set'], '">
					<select name="thdo">
						<optgroup label="', $txt['thdo_themes_select'], '">';
						foreach ($context['demo_themes'] as $theme)
						{
							echo '<option value="', $theme['id'], '"', (($thdo == $theme['id']) ? ' selected="selected"' : ''), '>', $theme['name'], '</option>';
						}

	echo '
						</optgroup>
					</select>
					<hr class="hrcolor clear">
					<div class="righttext">
					<input type="submit" class="button_submit" value="', $txt['thdo_button_submit'], '">
				</div>
				</form>
				</div>
				<span class="botslice"><span></span></span>
			</div>
			<br>
			<div class="cat_bar">
				<h3 class="catbg">
					', $txt['thdo_themes_info'], '
				</h3>
			</div>
			<div class="windowbg">
				<span class="topslice"><span></span></span>
					<div class="content">';

	if(!empty($context['demo_view']))
	{
		echo '
				<dl class="settings">';

				foreach ($context['demo_view'] as $view)
				{
					$check = $view['theme_id'];

					echo '
					<dt>', $txt['thdo_themes_id'], '</dt>
					<dd>', $view['id'], '</dd>
					<dt>', $txt['thdo_themes_name'], '</dt>
					<dd>', $view['themename'], '</dd>
					<dt>', $txt['thdo_themes_version'], '</dt>
					<dd>', $view['themeversion'], '</dd>
					<dt>', $txt['thdo_themes_smf'], '</dt>
					<dd>', $view['smfversion'], '</dd>
					<dt>', $txt['thdo_themes_basis'], '</dt>
					<dd>', $view['basis'], '</dd>
					<dt>', $txt['thdo_themes_assets'], '</dt>
					<dd>', $view['assets'], '</dd>
					<dt>', $txt['thdo_themes_author'], '</dt>
					<dd>', $view['author'], '</dd>
					<dt>', $txt['thdo_themes_webauthor'], '</dt>
					<dd>', $view['webauthor'], '</dd>
					<dt>', $txt['thdo_themes_support'], '</dt>
					<dd>', $view['support'], '</dd>
					<dt>', $txt['thdo_themes_download'], '</dt>
					<dd>', $view['download'], '</dd>';
				}

			echo '
				</dl>
				<hr class="hrcolor clear">
				<div class="righttext">
					<a class="button_submit" href="', $scripturl, '?action=admin;area=thdosset;sa=edit;id=' . $thdo . '">', $txt['thdo_button_edit'], '</a>
				</div>';
	}
	else {
			echo '
				<br>
				<p>', $txt['thdo_themes_empty'], '</p>
				<hr class="hrcolor clear">
				<div class="righttext">
					<a class="button_submit" href="', $scripturl, '?action=admin;area=thdosset;sa=add;id=' . $thdo . '">', $txt['thdo_button_entry'], '</a>
				</div>';

	}

	echo '
			</div>
			<span class="botslice"><span></span></span>
		</div>
	</div>';
}

function template_thdo_new_demo()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
	<div class="cat_bar">
		<h3 class="catbg">
			', $txt['thdo_admin_demo_set'], '
		</h3>
	</div>
	<p class="windowbg description">
		', $txt['thdo_admin_demo_set_desc'], '
	</p>
	<div id="admincenter">
		<div class="cat_bar">
			<h3 class="catbg">
				', $txt['thdo_themes_list'], '
			</h3>
		</div>
		<div class="windowbg2">
			<span class="topslice"><span></span></span>
				<div class="content">
				<form action="', $scripturl, '?action=admin;area=thdosset;sa=add2" method="post" accept-charset="', $context['character_set'], '">
					<dl class="settings">';

					foreach ($context['demo_data'] as $data)
					{
						$themeid = $data['id'];
						$themename = $data['name'];
					}

					echo '
						<dt>', $txt['thdo_themes_themeid'], '</dt>
						<dd><input type="number" name="themeid" value="', $themeid, '"></dd>
						<dt>', $txt['thdo_themes_name'], '</dt>
						<dd><input type="text" name="themename" size="80" value="', $themename, '"></dd>
						<dt>', $txt['thdo_themes_version'], '</dt>
						<dd><input type="text" name="themeversion"></dd>
						<dt>', $txt['thdo_themes_smf'], '</dt>
						<dd><input type="text" name="smfversion"></dd>
						<dt>', $txt['thdo_themes_basis'], '</dt>
						<dd><input type="text" name="basis" size="80"></dd>
						<dt>', $txt['thdo_themes_assets'], '</dt>
						<dd><textarea type="textarea" name="assets" rows="4" cols="100"></textarea></dd>
						<dt>', $txt['thdo_themes_author'], '</dt>
						<dd><input type="text" name="author" size="80"></dd>
						<dt>', $txt['thdo_themes_webauthor'], '</dt>
						<dd><input type="text" name="webauthor" size="80"></dd>
						<dt>', $txt['thdo_themes_support'], '</dt>
						<dd><input type="text" name="support" size="80"></dd>
						<dt>', $txt['thdo_themes_download'], '</dt>
						<dd><input type="text" name="download" size="80"></dd>
					</dl>
					<hr class="hrcolor clear">
					<div class="righttext">
						<input type="submit" class="button_submit" value="', $txt['thdo_button_submit'], '">
					</div>
				</form>
			</div>
			<span class="botslice"><span></span></span>
		</div>
	</div>';
}

function template_thdo_edit_demo()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
	<div class="cat_bar">
		<h3 class="catbg">
			', $txt['thdo_admin_demo_set'], '
		</h3>
	</div>
	<p class="windowbg description">
		', $txt['thdo_admin_demo_set_desc'], '
	</p>
	<div id="admincenter">
		<div class="cat_bar">
			<h3 class="catbg">
				', $txt['thdo_themes_list'], '
			</h3>
		</div>
		<div class="windowbg2">
			<span class="topslice"><span></span></span>
				<div class="content">
				<form action="', $scripturl, '?action=admin;area=thdosset;sa=edit2" method="post" accept-charset="', $context['character_set'], '">
					<dl class="settings">';

				foreach ($context['demo_view'] as $view)
				{
					$demoid = $view['id'];

					echo '
					<dt>', $txt['thdo_themes_id'], '</dt>
					<dd><input type="number" name="themeid" value="', $view['id'], '" disabled></dd>
					<dt>', $txt['thdo_themes_themeid'], '</dt>
					<dd><input type="number" name="themeid" value="', $view['themeid'], '"></dd>
					<dt>', $txt['thdo_themes_name'], '</dt>
					<dd><input type="text" name="themename" size="80" value="', $view['themename'], '"></dd>
					<dt>', $txt['thdo_themes_version'], '</dt>
					<dd><input type="text" name="themeversion" value="', $view['themeversion'], '"></dd>
					<dt>', $txt['thdo_themes_smf'], '</dt>
					<dd><input type="text" name="smfversion" value="', $view['smfversion'], '"></dd>
					<dt>', $txt['thdo_themes_basis'], '</dt>
					<dd><input type="text" name="basis" size="80" value="', $view['basis'], '"></dd>
					<dt>', $txt['thdo_themes_assets'], '</dt>
					<dd><textarea type="textarea" name="assets" rows="4" cols="100" value="', $view['assets'], '">', $view['assets'], '</textarea></dd>
					<dt>', $txt['thdo_themes_author'], '</dt>
					<dd><input type="text" name="author" size="80" value="', $view['author'], '"></dd>
					<dt>', $txt['thdo_themes_webauthor'], '</dt>
					<dd><input type="text" name="webauthor" size="80" value="', $view['webauthor'], '"></dd>
					<dt>', $txt['thdo_themes_support'], '</dt>
					<dd><input type="text" name="support" size="80" value="', $view['support'], '"></dd>
					<dt>', $txt['thdo_themes_download'], '</dt>
					<dd><input type="text" name="download" size="80" value="', $view['download'], '"></dd>';
				}

		echo '
					</dl>
					<hr class="hrcolor clear">
					<div class="righttext">
						<input type="hidden" name="demoid" value="', $demoid, '">
						<input type="submit" class="button_submit" value="', $txt['thdo_button_submit'], '">
					</div>
				</form>
			</div>
			<span class="botslice"><span></span></span>
		</div>
	</div>';
}

?>