<?php

require_once('../SSI.php');


if (!defined('SMF'))
	die('No direct access...');

// Load the settings...
require_once($sourcedir . '/Subs-Themesdemo.php');

$context['board_title_html_safe'] = $smcFunc['htmlspecialchars']($mbname);

load_themes_db();
load_themes_data();

if (!empty($modSettings['userLanguage']))
{
	// Do we have any languages?
	if (empty($context['languages']))
		getLanguages();
}

isAllowedTo('thdo_view');

// Show right to left and the character set for ease of translating.
echo '<!DOCTYPE html>
<html', $context['right_to_left'] ? ' dir="rtl"' : '', !empty($txt['lang_locale']) ? ' lang="' . str_replace("_", "-", substr($txt['lang_locale'], 0, strcspn($txt['lang_locale'], "."))) . '"' : '', '>
<head>
	<title>', $txt['thdo_page_title'], '</title>
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0">';

	// Please don't index these Mr Robot.
	if (!empty($context['robot_no_index']))
		echo '
		<meta name="robots" content="noindex">';

	echo '
	<link rel="stylesheet" href="assets/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/demo.css?fin20">

	<script src="', $settings['default_theme_url'], '/scripts/script.js?fin20"></script>
	<script>
		function setIframeHeight() {
			var ifrm = document.getElementById("iframe");
			var doc = ifrm.contentDocument? ifrm.contentDocument:
			ifrm.contentWindow.document;
			ifrm.style.visibility = \'hidden\';
			ifrm.style.height = "10px";

			doc = doc || document;
			var body = doc.body, html = doc.documentElement;
			var height = Math.max(
				body.scrollHeight, body.offsetHeight,
				html.clientHeight, html.scrollHeight, html.offsetHeight
			);

			ifrm.style.height = height + 35 + "px";
			ifrm.style.visibility = \'visible\';
		}
	</script>
</head>
<body>
	<div class="bg-ghoastwithe navbar-light sticky-top">
		<div class="container-fluid demo-panel">
			<div id="thdemoHeaderIC"', empty($options['collapse_mheader_ic']) ? '' : ' style="display: none;"', '>
				<div class="row">
					<div class="col-md-4 p-3">
						<span class="scroll">&#8679;</span>';

					if (!empty($modSettings['theme_allow']))
					{
						echo '
						<div class="form-group wrp-25">
							<span class="pt-1"><b>', $txt['thdo_themes_list'], ':</b></span>
							<form action="index.php" method="post" accept-charset="', $context['character_set'], '">
								<div class="form-group">
									<select class="form-control-sm" name="thdo" onchange="this.form.submit();">
										<optgroup label="', $txt['thdo_themes_select'], '">';
										if(!empty($_POST['thdo']))
											$id = (int) $_POST['thdo'];
										else
											$id = 1;

										foreach ($context['demo_themes'] as $theme)
										{
											echo '<option value="', $theme['id'], '"', (($id == $theme['id']) ? ' selected="selected"' : ''), '>', $theme['name'], '</option>';
										}
										echo '
										</optgroup>
									</select>
								</div>
							</form>
						</div>';
					}

					if (!empty($modSettings['userLanguage']) && !empty($context['languages']) && count($context['languages']) > 1)
					{
						echo '
						<div class="form-group wrp-25">
							<span class="pt-1"><b>', $txt['thdo_language_list'], ':</b></span>
							<form id="languages_form" method="get">
								<div class="form-group">
									<select id="language_select" name="language" class="form-control-sm" onchange="this.form.submit();">
										<optgroup label="', $txt['thdo_language_select'], '">';
										getLanguages(false, true);
										foreach ($context['languages'] as $language)
										{
											echo '
											<option value="', $language['filename'], '"', isset($context['user']['language']) && $context['user']['language'] == $language['filename'] ? ' selected="selected"' : '', '>', $txt['thdo_'.$language['filename']], '</option>';									}
										echo '
										</optgroup>
									</select>
								</div>
							</form>
						</div>';
					}

				echo '
					</div>';

					if(!empty($context['demo_view']))
					{
						foreach ($context['demo_view'] as $view)
						{
							echo '
							<div class="col-md-4 p-3 demoborder">
								<dl class="stats left">
									<dt>', $txt['thdo_themes_name'], '</dt>
									<dd><b>', $view['themename'], '</b></dd>
									<dt>', $txt['thdo_themes_version'], '</dt>
									<dd>', $view['themeversion'], '</dd>
									<dt>', $txt['thdo_themes_smf'], '</dt>
									<dd>', $view['smfversion'], '</dd>';

								if ($view['basis'] != '')
									echo '
									<dt>', $txt['thdo_themes_basis'], '</dt>
									<dd>', $view['basis'], '</dd>';

								echo '
									<dt>', $txt['thdo_themes_author'], '</dt>
									<dd><a class="bbc_link" href="', $view['webauthor'], '" target="_blank rel="noopener">', $view['author'], '</a></dd>
								</dl>
							</div>
							<div class="col-md-4 p-3">
								<dl class="stats right">';

								if ($view['assets'] != '')
									echo '
									<dt>', $txt['thdo_themes_assets'], '</dt>
									<dd>', $view['assets'], '</dd>';

								if ($view['support'] != '')
									echo '
									<dt>', $txt['thdo_themes_support'], '</dt>
									<dd><a class="bbc_link" href="', $view['support'], '" target="_blank rel="noopener">', $txt['thdo_themes_click'], '</a></dd>';

								if ($view['download'] != '')
									echo '
									<dt>', $txt['thdo_themes_download'], '</dt>
									<dd>', $view['download'], '</dd>';

								echo '
								</dl>
							</div>';
						}
					}
					else {
						echo '
						<div class="col-md-4 p-3 demoborder">
							<p>', $txt['thdo_themes_empty'], '</p>
						</div>';
					}

			echo '
				</div>
			</div>
		</div>
		<div class="bg-dark w-100 clearfix">
			<span class="text-white floatrp-left ml-md-2 p-1">
				<span class="board-title">
					<a href="', $scripturl, '" target="_blank rel="noopener">' . $context['board_title_html_safe'] . '</a> -
					<a href="index.php" target="_blank rel="noopener">', $txt['thdo_page_title'], '</a>
				</span>
			</span>
			<span class="text-white floatrp-right ml-2 p-1">
				<span class="copyright">
					Themes Demo by <a href="https://www.stephan-frank.de" title="copyright" target="_blank" class="text-white new_win">SF Webdesign &copy; 2020</a>
				</span>
				<img class="mx-2" id="thdemo_ic" src="assets/images/upshrink.png" alt="*" title="', $txt['thdo_themes_upshrink'], '" style="display: none;">
			</span>
		</div>
	</div>';

	echo '
	<script><!-- // --><![CDATA[
		var oMediaCenterToggle = new smc_Toggle({
			bToggleEnabled: true,
			bCurrentlyCollapsed: ', empty($options['collapse_mheader_ic']) ? 'false' : 'true', ',
			aSwappableContainers: [
				\'thdemoHeaderIC\'
			],
			aSwapImages: [
				{
					sId: \'thdemo_ic\',
					srcExpanded: \'assets/images/upshrink.png\',
					altExpanded: ', JavaScriptEscape($txt['thdo_themes_upshrink']), ',
					srcCollapsed: \'assets/images/upshrink2.png\',
					altCollapsed: ', JavaScriptEscape($txt['thdo_themes_upshrink2']), '
				}
			],
			oThemeOptions: {
				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',
				sOptionName: \'collapse_mheader_ic\',
				sSessionVar: ', JavaScriptEscape($context['session_var']), ',
				sSessionId: ', JavaScriptEscape($context['session_id']), '
			},
			oCookieOptions: {
				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',
				sCookieName: \'thdemoIC\'
			}
		});
	// ]]></script>';

	echo '
	<div class="frame-container">
		<iframe id="iframe" width="100%" src="' . $scripturl .'?theme='. $id . '" frameborder="0" allowfullscreen onload="setIframeHeight();"></iframe>
	</div>
</body>';

?>